package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.Graphic;
	import net.flashpunk.Mask;
	import net.flashpunk.utils.Ease;
	import punk.fx.graphics.FXImage;
	
	/**
	 * ...
	 * @author azrafe7
	 */
	public class Platform extends Entity 
	{
		
		[Embed(source = "assets/platform.png")]
		protected var PLATFORM:Class;
		
		protected var image:FXImage;
		
		protected var _startX:Number;
		protected var _startY:Number;
		protected var _endX:Number;
		protected var _endY:Number;
		protected var _duration:Number;
		
		public function Platform(startX:Number, startY:Number, endX:Number, endY:Number, duration:Number = 2) 
		{
			image = new FXImage(PLATFORM);
			super(startX, startY, image);
			
			centerOrigin();
			
			this._startX = startX;
			this._startY = startY;
			this._endX = endX;
			this._endY = endY;
			this._duration = duration;
		}
		
		override public function added():void 
		{
			super.added();
			moveTowardsEnd();
		}
		
		protected function moveTowardsEnd():void 
		{
			FP.tween(this, { x:_endX, y:_endY }, _duration, { complete: moveTowardsStart, ease:Ease.cubeInOut });
		}

		protected function moveTowardsStart():void 
		{
			FP.tween(this, { x:_startX, y:_startY }, _duration, { complete: moveTowardsEnd, ease:Ease.cubeInOut });
		}
	}

}